package com.zanxiang.game.data.serve.pojo.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.PK;
import org.nutz.dao.entity.annotation.Table;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 推广渠道每日数据
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Table(AdsAccountAgentDay.TABLE_NAME)
@PK({"dt", "accountId", "agentId"})
public class AdsAccountAgentDay implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "ads_account_agent_day";

    /**
     * 日期（充值时间）
     */
    private LocalDate dt;

    /**
     * 推广账号
     */
    private Long accountId;

    /**
     * 渠道ID
     */
    private Long agentId;

    /**
     * 渠道名称
     */
    @Column
    private String agentName;

    /**
     * 推广账号类型
     */
    @Column
    private String accountType;

    /**
     * 投手ID
     */
    @Column
    private String pitcherId;

    /**
     * 投手名称
     */
    @Column
    private String pitcher;

    /**
     * 推广游戏CP名称
     */
    @Column
    private String gameCp;

    /**
     * 推广游戏名称
     */
    @Column
    private String gameName;

    /**
     * 推广游戏类型
     */
    @Column
    private String gameType;

    /**
     * 注册时间(消耗时间)
     */
    @Column
    private LocalDateTime regTime;

    /**
     * 消耗
     */
    @Column
    private BigDecimal cost;

    /**
     * 推广计划数量
     */
    @Column
    private Long planCount;

    /**
     * 曝光数量
     */
    @Column
    private Long viewCount;

    /**
     * 点击数量
     */
    @Column
    private Long clickCount;

    /**
     * 转化数量
     */
    @Column
    private Long changeCount;

    /**
     * 转化率
     */
    @Column
    private BigDecimal changeRate;

    /**
     * 平均转化成本
     */
    @Column
    private BigDecimal avgChangePrice;

    /**
     * 深度转化数量
     */
    @Column
    private Long depthChangeCount;

    /**
     * 深度转化率
     */
    @Column
    private BigDecimal depthChangeRate;

    /**
     * 深度转化成本
     */
    @Column
    private BigDecimal avgDepthChangePrice;

    /**
     * 千次曝光成本
     */
    @Column
    private BigDecimal thousandDisplayPrice;

    /**
     * 点击率
     */
    @Column
    private BigDecimal clickRate;

    /**
     * 平均点击均价
     */
    @Column
    private BigDecimal avgClickPrice;

    /**
     * 应用下载开始量
     */
    @Column
    private Long downloadStart;

    /**
     * 应用下载开始成本
     */
    @Column
    private BigDecimal downloadStartCost;

    /**
     * 应用下载开始率
     */
    @Column
    private BigDecimal downloadStartRate;

    /**
     * 应用下载完成量
     */
    @Column
    private Long downloadFinish;

    /**
     * 应用下载完成成本
     */
    @Column
    private BigDecimal downloadFinishCost;

    /**
     * 应用下载完成率
     */
    @Column
    private BigDecimal downloadFinishRate;

    /**
     * 应用安装完成量
     */
    @Column
    private Long installFinish;

    /**
     * 应用安装完成成本
     */
    @Column
    private BigDecimal installFinishCost;

    /**
     * 应用安装完成率
     */
    @Column
    private BigDecimal installFinishRate;

    /**
     * 应用激活量
     */
    @Column
    private Long active;

    /**
     * 应用激活成本
     */
    @Column
    private BigDecimal activeCost;

    /**
     * 应用激活率
     */
    @Column
    private BigDecimal activeRate;

    /**
     * 注册人数-通过广告首次登录小游戏的独立用户数
     */
    @Column
    private Long registerNum;

    /**
     * 注册成本=实际消耗/注册人数
     */
    @Column
    private BigDecimal registerCost;

    /**
     * 新增付费次数
     */
    @Column
    private Long firstNewUserAmountCount;

    /**
     * 新增付费人数
     */
    @Column
    private Long firstNewUserAmountNum;

    /**
     * 新增付费金额
     */
    @Column
    private BigDecimal firstNewUserAmount;

    /**
     * 账面充值次数
     */
    @Column
    private Long amountCount;

    /**
     * 账面充值人数
     */
    @Column
    private Long amountNum;

    /**
     * 账面充值金额
     */
    @Column
    private BigDecimal amount;

    /**
     * 至今充值次数
     */
    @Column
    private Long newUserTotalAmountCount;

    /**
     * 至今充值人数
     */
    @Column
    private Long newUserTotalAmountNum;

    /**
     * 至今充值金额
     */
    @Column
    private BigDecimal newUserTotalAmount;

    /**
     * 首日回收率
     */
    @Column
    private BigDecimal firstRoi;

    /**
     * 买量回收率
     */
    @Column
    private BigDecimal buyRoi;

    /**
     * 当日回收率
     */
    @Column
    private BigDecimal todayRoi;

    /**
     * 毛利额，毛利=新用户-实际消耗
     */
    @Column
    private BigDecimal grossProfit;

    /**
     * 3日ROI
     */
    @Column
    private BigDecimal roi3;

    /**
     * 5日ROI
     */
    @Column
    private BigDecimal roi5;

    /**
     * 7日ROI
     */
    @Column
    private BigDecimal roi7;

    /**
     * 15日ROI
     */
    @Column
    private BigDecimal roi15;

    /**
     * 30日ROI
     */
    @Column
    private BigDecimal roi30;

    /**
     * 60日ROI
     */
    @Column
    private BigDecimal roi60;

    /**
     * 180日ROI
     */
    @Column
    private BigDecimal roi180;

    /**
     * 1年ROI
     */
    @Column
    private BigDecimal roi1yaer;

    /**
     * 总ROI
     */
    @Column
    private BigDecimal roiTotal;

    /**
     * 首日付费率
     */
    @Column
    private BigDecimal firstRate;

    /**
     * 买量用户付费率
     */
    @Column
    private BigDecimal buyUserRate;

    /**
     * 当天付费率
     */
    @Column
    private BigDecimal todayRate;

    /**
     * 首日客单价
     */
    @Column
    private BigDecimal firstAvg;

    /**
     * 买量客单价
     */
    @Column
    private BigDecimal buyAvg;

    /**
     * 当天客单价
     */
    @Column
    private BigDecimal todayAvg;

    /**
     * 账面客单价
     */
    @Column
    private BigDecimal paperAvg;

    /**
     * 首日充值成本
     */
    @Column
    private BigDecimal firstAmountCost;

    /**
     * 买量充值成本
     */
    @Column
    private BigDecimal buyAmountCost;

    /**
     * 当天充值成本
     */
    @Column
    private BigDecimal todayAmountCost;

    /**
     * 当天复充率
     */
    @Column
    private BigDecimal todayAgainRate;

    /**
     * 新增注册ARPU
     */
    @Column
    private BigDecimal newRegArpu;

    /**
     * 首日付费ARPU
     */
    @Column
    private BigDecimal firstArpu;

    /**
     * 当天付费ARPU
     */
    @Column
    private BigDecimal todayArpu;

    /**
     * 账面arpu
     */
    @Column
    private BigDecimal paperArpu;

    /**
     * 付费趋势第一天总：增/回/倍
     */
    @Column
    private String amountD1;

    /**
     * 付费趋势第三天总：增/回/倍
     */
    @Column
    private String amountD3;

    /**
     * 付费趋势第五天总：增/回/倍
     */
    @Column
    private String amountD5;

    /**
     * 付费趋势第七天总：增/回/倍
     */
    @Column
    private String amountD7;

    /**
     * 付费趋势第十五天总：增/回/倍
     */
    @Column
    private String amountD15;

    /**
     * 付费趋势第一月总：增/回/倍
     */
    @Column
    private String amountM1;

    /**
     * 付费趋势第二月总：增/回/倍
     */
    @Column
    private String amountM2;

    /**
     * 付费趋势第三月总：增/回/倍
     */
    @Column
    private String amountM3;

    /**
     * 付费趋势第六月总：增/回/倍
     */
    @Column
    private String amountM6;

    /**
     * 付费趋势总：增/回/倍
     */
    @Column
    private String amountSum;

    /**
     * 单日付费100+人数
     */
    @Column
    private Long hundredUserNum;

    /**
     * 单日付费100+成本
     */
    @Column
    private BigDecimal hundredUserNumCost;


}
