package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.nutz.dao.entity.annotation.Column;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class AdsAgentRechargeRankingVO {

    /**
     * 日期（充值时间）
     */
    @ApiModelProperty(notes = "日期（充值时间）")
    private LocalDate dt;

    /**
     * 推广渠道账号
     */
    private Long agentId;

    /**
     * 推广渠道名称
     */
    @Column
    private String agentName;

    /**
     * 投手
     */
    @Column
    private String pitcher;

    /**
     * 推广媒体
     */
    @Column
    private String type;

    /**
     * 当天充值金额
     */
    @Column
    private BigDecimal todayAmount;

    /**
     * 累计充值今额
     */
    @Column
    private BigDecimal totalAmount;

    /**
     * 累计充值人数
     */
    @Column
    private Long totalRechargeUserCount;

    /**
     * 累计充值次数
     */
    @Column
    private Long totalRechargeCount;

    /**
     * 平均单价
     */
    @Column
    private BigDecimal avgAmount;

    /**
     * 注册人数
     */
    @Column
    private Long regUserCount;

    /**
     * 累计消耗
     */
    @Column
    private BigDecimal totalCost;

    /**
     * 回本率
     */
    @Column
    private BigDecimal roi;
}
